Bug 26484 - Add serials-related reports to serials sidebar menu
Summary: Add serials-related reports to serials sidebar menu
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Serials (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-09-17 20:16 UTC by Katrin Fischer
Modified: 2020-10-20 17:40 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:
20.11.00


Attachments
Bug 26484: Add serials-related reports to serials sidebar menu (1.72 KB, patch)
2020-09-18 13:19 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 26484: Add serials-related reports to serials sidebar menu (1.77 KB, patch)
2020-09-18 14:56 UTC, David Nind
Details | Diff | Splinter Review
Bug 26484: Add serials-related reports to serials sidebar menu (1.83 KB, patch)
2020-09-20 17:17 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2020-09-17 20:16:52 UTC
Like Bug 26089 - Add acquisitions-related reports to acquisitions sidebar menu, but doing the same for the serials module by adding the relevant reports to the navigation there.
Comment 1 Owen Leonard 2020-09-18 13:19:48 UTC
Created attachment 110390 [details] [review]
Bug 26484: Add serials-related reports to serials sidebar menu

This patch adds a section to the serials sidebar menu for showing
serials reports.

To test, apply the patch and go to Serials.

- If you are logged in as a user with permission to access reports you
  should see a new "Reports" heading in the sidebar menu and a link to
  the serials statistics wizard.
- Confirm that the link works correctly.
- Log in as a user without reports permission and confirm that the
  section doesn't appear.
Comment 2 David Nind 2020-09-18 14:56:04 UTC
Created attachment 110402 [details] [review]
Bug 26484: Add serials-related reports to serials sidebar menu

This patch adds a section to the serials sidebar menu for showing
serials reports.

To test, apply the patch and go to Serials.

- If you are logged in as a user with permission to access reports you
  should see a new "Reports" heading in the sidebar menu and a link to
  the serials statistics wizard.
- Confirm that the link works correctly.
- Log in as a user without reports permission and confirm that the
  section doesn't appear.

Signed-off-by: David Nind <david@davidnind.com>
Comment 3 Katrin Fischer 2020-09-20 17:17:34 UTC
Created attachment 110426 [details] [review]
Bug 26484: Add serials-related reports to serials sidebar menu

This patch adds a section to the serials sidebar menu for showing
serials reports.

To test, apply the patch and go to Serials.

- If you are logged in as a user with permission to access reports you
  should see a new "Reports" heading in the sidebar menu and a link to
  the serials statistics wizard.
- Confirm that the link works correctly.
- Log in as a user without reports permission and confirm that the
  section doesn't appear.

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Jonathan Druart 2020-10-01 09:46:12 UTC
Pushed to master for 20.11, thanks to everybody involved!
Comment 5 Lucas Gass 2020-10-20 17:40:45 UTC
enhancement will not be backported to 20.05.x